# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from django.db import models
from newsbox.models import NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase

class News(NewsboxBase):
    class Meta:
        verbose_name = 'news - Basic'
        verbose_name_plural = 'news - Basic'

class NewsSEO(NewsboxBase, NewsboxSEOBase):
    class Meta:
        verbose_name = 'news - SEO'
        verbose_name_plural = 'news - SEO'

class NewsExpired(NewsboxBase, NewsboxExpiredBase):
    class Meta:
        verbose_name = 'news - Expirable'
        verbose_name_plural = 'news - Expirable'

class NewsComplete(NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase):
    class Meta:
        verbose_name = 'news - Complete'
        verbose_name_plural = 'news - Complete'

class NewsExtended(NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase):
    general_field = models.CharField(max_length=50)
    content_field = models.CharField(max_length=50)
    seo_field = models.CharField(max_length=50)
    
    class Meta:
        verbose_name = 'news - Extended'
        verbose_name_plural = 'news - Extended'
