# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models
from newsbox.models import NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase
from newsbox_cms.models import NewsboxCMSBase, NewsboxPluginBase

class News(NewsboxBase, NewsboxCMSBase):
    class Meta:
        verbose_name = 'news - CMS'
        verbose_name_plural = 'news - CMS'
        newsbox_detail_url_name = 'news_detail'


class NewsComplete(NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase, NewsboxCMSBase):
    class Meta:
        verbose_name = 'news - CompleteCMS'
        verbose_name_plural = 'news - CompleteCMS'
        newsbox_detail_url_name = 'newscomplete_detail'


class NewsExtended(NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase, NewsboxCMSBase):
    general_field = models.CharField(max_length=50)
    content_field = models.CharField(max_length=50)
    seo_field = models.CharField(max_length=50)
    
    class Meta:
        verbose_name = 'news - ExtendedCMS'
        verbose_name_plural = 'news - ExtendedCMS'
        newsbox_detail_url_name = 'newsextended_detail'


class NewsPlugin(NewsboxPluginBase):
    newsbox_model = News

